Skip to navigation

Update Shipping Zone

Updates a Shipping Zone.

Required Fields

  • name

Read Only Fields

  • id

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired
ID of the shipping zone.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
namestringRequired
Zone name. Required for PUT requests.
typeenumOptional
Allowed values:
locationslist of objectsOptional

Array of zone locations. BigCommerce has a platform limit of 40000 zip type locations.

free_shippingobjectOptional
handling_feesobjectOptional
enabledbooleanOptional
Whether this shipping zone is enabled.

Response

OK
namestring
Zone name. Required for PUT requests.
idintegerOptionalRead-only

Zone ID. Read-only.

typeenumOptional
Allowed values:
locationslist of objectsOptional
Array of zone locations.
free_shippingobjectOptional
handling_feesobjectOptional
enabledbooleanOptional
Whether this shipping zone is enabled.